---
displayed_sidebar: entitiesSidebar
---

# Class: ReturnItem

## Constructors

### constructor

• **new ReturnItem**()

## Properties

### is\_requested

• **is\_requested**: `boolean`

#### Defined in

[models/return-item.ts:28](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L28)

___

### item

• **item**: [`LineItem`](LineItem.md)

#### Defined in

[models/return-item.ts:22](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L22)

___

### item\_id

• **item\_id**: `string`

#### Defined in

[models/return-item.ts:14](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L14)

___

### metadata

• **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

[models/return-item.ts:47](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L47)

___

### note

• **note**: `string`

#### Defined in

[models/return-item.ts:44](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L44)

___

### quantity

• **quantity**: `number`

#### Defined in

[models/return-item.ts:25](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L25)

___

### reason

• **reason**: [`ReturnReason`](ReturnReason.md)

#### Defined in

[models/return-item.ts:41](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L41)

___

### reason\_id

• **reason\_id**: `string`

#### Defined in

[models/return-item.ts:37](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L37)

___

### received\_quantity

• **received\_quantity**: `number`

#### Defined in

[models/return-item.ts:34](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L34)

___

### requested\_quantity

• **requested\_quantity**: `number`

#### Defined in

[models/return-item.ts:31](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L31)

___

### return\_id

• **return\_id**: `string`

#### Defined in

[models/return-item.ts:11](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L11)

___

### return\_order

• **return\_order**: [`Return`](Return.md)

#### Defined in

[models/return-item.ts:18](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/return-item.ts#L18)
